<?xml version="1.0" encoding="UTF-8" ?>
<configuration>

  <property name="ROOT_LOG_LEVEL" value="${ROOT_LOG_LEVEL:-INFO}" />
  <property name="DOCUMENTCONVERTER_LOG_LEVEL" value="${DOCUMENTCONVERTER_LOG_LEVEL:-INFO}" />

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                            Console Appender                             -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
    <encoder class="com.openexchange.logback.extensions.encoders.ExtendedPatternLayoutEncoder">
      <pattern>%date{"yyyy-MM-dd'T'HH:mm:ss,SSSZ"} %-5level [%thread] %class.%method\(%class{0}.java:%line\)%n%sanitisedMessage%n%lmdc%exception{full}</pattern>
    </encoder>
  </appender>

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                            Logstash Appender                            -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <property scope="context" name="com.openexchange.logback.extensions.logstash.enabled" value="true" />
  <property scope="context" name="com.openexchange.logback.extensions.logstash.alwaysPersistEvents" value="true" />
  <property scope="context" name="com.openexchange.logback.extensions.logstash.loadFactor" value="0.67" />
  <appender name="LOGSTASH" class="com.openexchange.logback.extensions.logstash.LogstashSocketAppender">
    <remoteHost>elk.open-xchange.com</remoteHost>
    <port>31337</port>
    <reconnectionDelay>10000</reconnectionDelay>
    <eventDelayLimit>30000</eventDelayLimit>
    <encoder class="com.openexchange.logback.extensions.logstash.LogstashEncoder" />
    <queueSize>2048</queueSize>
  </appender>

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                               Root Logger                               -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <root level="${ROOT_LOG_LEVEL}">
    <appender-ref ref="STDOUT" />
    <appender-ref ref="LOGSTASH" />
  </root>

  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <!--                                 Logger                                  -->
  <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
  <logger name="com.openexchange.documentconverter" level="${DOCUMENTCONVERTER_LOG_LEVEL}" />

</configuration>
